QCAPlugin Class Referenceabstract
QCA provider API

`#include <QtCrypto>`

## Public Member Functions

virtual QCA::Provider * | createProvider ()=0
virtual | ~QCAPlugin ()

## Detailed Description

Provider plugin base class.

QCA loads cryptographic provider plugins with QPluginLoader. The QObject obtained when loading the plugin must implement the QCAPlugin interface. This is done by inheriting QCAPlugin, and including Q_INTERFACES(QCAPlugin) in your class declaration.

For example:

class MyPlugin : public QObject, public QCAPlugin
{
Q_OBJECT
Q_INTERFACES(QCAPlugin)
public:
virtual Provider *createProvider() { ... }
};
QCAPlugin
Provider plugin base class.
Definition qcaprovider.h:83
QCAPlugin::createProvider
virtual QCA::Provider * createProvider()=0
Returns a newly allocated Provider instance.
QObject

There is only one function to reimplement, called createProvider(). This function should return a newly allocated Provider instance.

## Constructor & Destructor Documentation

## ~QCAPlugin()

virtual QCAPlugin::~QCAPlugin | ( |  | ) |

inline virtual

Destructs the object.

## Member Function Documentation

## createProvider()

virtual QCA::Provider * QCAPlugin::createProvider | ( |  | ) |

pure virtual

Returns a newly allocated Provider instance.

The documentation for this class was generated from the following file:

- qcaprovider.h